Subject: Re: [PATCH] [RFC] transport: add --show-service option

From: Junio C Hamano <[email-masked]>
Date: Wed, 26 Apr 2023 22:50:12 -0700

ZheNing Hu <[email-masked]> writes:

>> The above is a very well written description of why we _can_ do
>> this, but it is unclear why we would _want_ to do this.  What do we
>> gain by letting the individual services to declare "we are serving
>> this!"?  Do we lose an extra fork & process (it does not seem to be
>> the case)?
>
> When I was implementing a small git http server, I wanted to delegate
> everything to upload-pack and receive-pack. Everything else was fine,
> the only thing I was not satisfied with was the need to send an additional
> "#service=$servername" message when the protocol is v1.

I think you had a brief mention on that after the three-dash separator;
it *is* a relevant piece of information that needs to be in the
proposed log message.

Thanks.